#!/usr/bin/env -S nix-shell --pure
{ pkgs ? import <nixpkgs> {} }:
with pkgs;
mkShell {
  buildInputs = [
    ruby_3_1
    rubyPackages_3_1.rake
    rubyPackages_3_1.sqlite3
    rubyPackages_3_1.thor
    sqlite
    unzip
    xz
    zip
    openssl
    #texlive-combined-full
    nixFlakes
    validatePkgConfig
    jq
    git
    starship
  ];
  shellHook = ''
    if [[ -e ".envrc" ]]; then
      source .envrc
    fi
    eval "$(starship init bash)"
  '';
}
